https://pulumi.com logo
#general
Title
# general
e

eager-area-86739

11/25/2018, 5:45 PM
Hi all, Yesterday I upgraded
pulumi
via Hombrew. Currently the version is
0.16.5
When I try to create a simple stack as :
Copy code
"use strict";

const pulumi = require("@pulumi/pulumi");
const aws = require("@pulumi/aws");

const queue = new aws.sqs.Queue("queue");
I have the following error:
Copy code
Previewing update (some-stack-testing):

     Type                     Name                                             
     pulumi:pulumi:Stack      some-stack
     └─ pulumi:providers:aws  default                                          
 
Diagnostics:
  pulumi:providers:aws (default):
    error: could not read plugin [/Users/yolo/.pulumi/plugins/resource-aws-v0.16.2/pulumi-resource-aws] stdout: EOF
 
error: an error occurred while advancing the preview
The
package.json
looks like:
Copy code
{
  "name": "some-stack",
  "main": "index.js",
  "dependencies": {
    "@pulumi/aws": "latest",
    "@pulumi/pulumi": "latest"
  }
}
Any ideas? Cheers
Workaround: Uninstall all the plugin and install the latest stable
resource aws
. It works!